unit A1216int;

{
Adicom ADC1216 / ADC1216A card tool library
-------------------------------------------

This DLL uses The Tedia IO Driver.
}

interface

{
The Simple-interface calls
--------------------------

These routines are designed for use within applications, which are using
only one ADC1216 card. They will be enough for most developers.
Routines are called throught the standard Windows calling
conventions.

If your application needs to control more than one ADC1216 card, please
contact Adicom Praha for more information.
}

{ Intializes the driver. ParamFile points to the null-terminated string containing
  param-file. }
function SimpleInit(ParamFile:PChar):Boolean;stdcall;

{ Finalizes using the driver }
procedure SimpleDone;stdcall;

{ Measures and returns voltage from A/D converter - channels 1..16 }
function SimpleGetVoltage(Channel:Byte):Real;stdcall;

{ Makes D/A converter to output voltage }
procedure SimplePutVoltage(Voltage:Real);stdcall;

{ Returns value of digital inputs }
function SimpleGetDigital:Byte;stdcall;

{ Outputs value on digital ports }
procedure SimpleSetDigital(Value:Byte);stdcall;

{ Calls the setup dialog }
procedure SimpleSetup;stdcall;

{ Calls the dialog to programm adress on ADC1216A }
procedure SimpleSetAdressDialog;stdcall;

{------------------------------------------------------------------------}


implementation

const ADC1216DLL='CW1216.dll';

function SimpleInit(ParamFile:PChar):Boolean;external ADC1216DLL;
procedure SimpleDone;external ADC1216DLL;
function SimpleGetVoltage(Channel:Byte):Real;external ADC1216DLL;
procedure SimplePutVoltage(Voltage:Real);external ADC1216DLL;
function SimpleGetDigital:Byte;external ADC1216DLL;
procedure SimpleSetDigital(Value:Byte);external ADC1216DLL;
procedure SimpleSetup;external ADC1216DLL;
procedure SimpleSetAdressDialog;external ADC1216DLL;

end.
